# encoding: utf-8
module Holidays
  # This file is generated by the Ruby Holidays gem.
  #
  # Definitions loaded: definitions/in.yaml
  #
  # All the definitions are available at https://github.com/holidays/holidays
  module IN # :nodoc:
    def self.defined_regions
      [:in, :in_mh, :in_gj, :in_ka, :in_tn]
    end

    def self.holidays_by_month
      {
                1 => [{:mday => 1, :name => "New Year's Day", :regions => [:in]},
            {:mday => 14, :year_ranges => { :limited => [2025] },:name => "Makar Sankranti", :regions => [:in_mh, :in_gj, :in_ka]},
            {:mday => 26, :observed => "to_weekday_if_weekend(date)", :observed_arguments => [:date], :name => "Republic Day", :regions => [:in]}],
      2 => [{:mday => 19, :year_ranges => { :limited => [2025] },:name => "Chhatrapati Shivaji Maharaj Jayanti", :regions => [:in_mh]},
            {:mday => 26, :year_ranges => { :limited => [2025] },:name => "Mahashivratri", :regions => [:in_mh, :in_gj]}],
      3 => [{:mday => 14, :year_ranges => { :limited => [2025] },:name => "Holi", :regions => [:in_mh, :in_gj, :in_ka]},
            {:mday => 31, :year_ranges => { :limited => [2025] },:name => "Eid al-Fitr", :regions => [:in_mh, :in_gj, :in_ka, :in_tn]}],
      4 => [{:mday => 10, :year_ranges => { :limited => [2025] },:name => "Mahavir Jayanti", :regions => [:in_mh, :in_gj]},
            {:mday => 14, :name => "Ambedkar Jayanti", :regions => [:in_mh, :in_gj]},
            {:mday => 14, :name => "Tamil New Year's Day", :regions => [:in_tn]},
            {:mday => 18, :year_ranges => { :limited => [2025] },:name => "Good Friday", :regions => [:in_mh, :in_tn, :in_gj]}],
      5 => [{:mday => 1, :name => "Maharashtra Day", :regions => [:in_mh]},
            {:mday => 1, :name => "Gujarat Day", :regions => [:in_gj]},
            {:mday => 1, :name => "Labour's Day", :regions => [:in_tn, :in_ka]},
            {:mday => 12, :year_ranges => { :limited => [2025] },:name => "Buddha Purnima", :regions => [:in_mh, :in_gj]}],
      6 => [{:mday => 7, :year_ranges => { :limited => [2025] },:name => "Eid al-Adha", :regions => [:in_tn, :in_gj, :in_mh]}],
      7 => [{:mday => 6, :year_ranges => { :limited => [2025] },:name => "Muharram", :regions => [:in_gj, :in_tn, :in_mh]}],
      8 => [{:mday => 9, :year_ranges => { :limited => [2025] },:name => "Raksha Bandhan", :regions => [:in_mh, :in_gj]},
            {:mday => 15, :observed => "to_weekday_if_weekend(date)", :observed_arguments => [:date], :name => "Independence Day", :regions => [:in]},
            {:mday => 27, :year_ranges => { :limited => [2025] },:name => "Ganesh Chaturthi", :regions => [:in_mh, :in_gj]}],
      9 => [{:mday => 16, :year_ranges => { :limited => [2025] },:name => "Milad-un-Nabi", :regions => [:in_mh, :in_tn, :in_gj]},
            {:mday => 22, :year_ranges => { :limited => [2025] },:name => "Navratri Sthapana", :regions => [:in_mh, :in_gj]}],
      10 => [{:mday => 2, :observed => "to_weekday_if_weekend(date)", :observed_arguments => [:date], :name => "Gandhi Jayanti", :regions => [:in]},
            {:mday => 2, :year_ranges => { :limited => [2025] },:name => "Dussehra", :regions => [:in_mh, :in_tn, :in_gj]},
            {:mday => 21, :year_ranges => { :limited => [2025] },:name => "Diwali", :regions => [:in]},
            {:mday => 22, :year_ranges => { :limited => [2025] },:name => "Govardhan Puja", :regions => [:in_mh, :in_gj]},
            {:mday => 31, :name => "Sardar Vallabhbhai Patel Jayanti", :regions => [:in_gj]}],
      11 => [{:mday => 1, :name => "Kannada Rajyothsava", :regions => [:in_ka]},
            {:mday => 5, :year_ranges => { :limited => [2025] },:name => "Guru Nanak Jayanti", :regions => [:in_mh, :in_gj]}],
      12 => [{:mday => 25, :observed => "to_weekday_if_weekend(date)", :observed_arguments => [:date], :name => "Christmas Day", :regions => [:in]}]
      }
    end

    def self.custom_methods
      {
          
      }
    end
  end
end
